Bug 114019 - [GTK][AC] Implement GraphicsLayerClutter::moveOrCopyAnimations
Summary: [GTK][AC] Implement GraphicsLayerClutter::moveOrCopyAnimations
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 105699
  Show dependency treegraph
 
Reported: 2013-04-05 03:28 PDT by ChangSeok Oh
Modified: 2013-04-12 01:45 PDT (History)
3 users (show)

See Also:


Attachments
Patch (4.33 KB, patch)
2013-04-05 03:47 PDT, ChangSeok Oh
gns: review+
gns: commit-queue-
Details | Formatted Diff | Diff
Patch (4.54 KB, patch)
2013-04-11 11:03 PDT, ChangSeok Oh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ChangSeok Oh 2013-04-05 03:28:47 PDT
In here, we fill a not implemented function of GraphicsLayerClutter::moveOrCopyAnimations.
Comment 1 ChangSeok Oh 2013-04-05 03:47:37 PDT
Created attachment 196612 [details]
Patch
Comment 2 ChangSeok Oh 2013-04-05 04:01:03 PDT
This change already applied to webkit-clutter.
Comment 3 Gustavo Noronha (kov) 2013-04-09 05:38:01 PDT
Comment on attachment 196612 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=196612&action=review

> Source/WebCore/ChangeLog:10
> +        Covered by existing AC animation tests.

Can you specify what test(s) covers this?
Comment 4 ChangSeok Oh 2013-04-09 09:04:41 PDT
(In reply to comment #3)
> (From update of attachment 196612 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=196612&action=review
> 
> > Source/WebCore/ChangeLog:10
> > +        Covered by existing AC animation tests.
> 
> Can you specify what test(s) covers this?

Hm.. it's hard to choose a specific test for only this API.
But many tests related animation and compositing call this function.
For instance..
LayoutTests/animations/3d/change-transform-in-end-event.html
LayoutTests/animations/3d/transform-origin-vs-functions.html
LayoutTests/compositing/animation/state-at-end-event-transform-layer.html
Comment 5 Gustavo Noronha (kov) 2013-04-11 07:48:24 PDT
Comment on attachment 196612 [details]
Patch

OK, just add some as examples to the changelog, please =)
Comment 6 ChangSeok Oh 2013-04-11 11:03:04 PDT
Created attachment 197643 [details]
Patch
Comment 7 WebKit Commit Bot 2013-04-11 13:50:23 PDT
Comment on attachment 197643 [details]
Patch

Clearing flags on attachment: 197643

Committed r148232: <http://trac.webkit.org/changeset/148232>